1 Reply Latest reply on Feb 26, 2005 4:11 PM by Daniel Hinojosa

    Jdom 1.0 && (Jboss 4.01 || Jboss 4.0) incompatibility

    Daniel Hinojosa Master

      I have this situation where I receieve the following error:

      java.lang.VerifyError: (class: com/xyzcorp/project/Application, method: toXML signature: ()Lorg/jdom/Element;) Incompatible argument to function


      This comes from a standard java bean that I have called Application. In this application I have a toXML method that returns a org.jdom.Element element.

      The version I am working with is JBoss 4.0.1 with JDK1.5.0. The OS with this problem is an unknown distro of linux. The JDOM version I am working with is 1.0.

      This problem occurs in a standalone war file. In other words, this war is not encapsulated in an ear file. The jdom.jar file is located in the WEB-INF/lib directory of the war file.

      I have attempted the following things:
      * Removed the info.xml from the jdom.jar
      * Installed a jdom.jar in the <server-root>/lib directory

      None of these worked. I hope that someone in jboss land can help.

      Thanks,
      Danno